Subject: bug#18612: [platform-testers] Emacs pretest 24.3.94

From: Glenn Morris <[email-masked]>
Date: Thu, 02 Oct 2014 16:09:24 -0400

Eli Zaretskii wrote:

>>      srcdir="/${srcdir:0:1}${srcdir:2}"
>> 
>> I believe these are bash-specific variable expansions, not posix-compatible.
>> 
>> This appears in an MINGW-related "if" block, so I guess most of the
>> time it is not encountered.
>
> MinGW uses only Bash.

But other platforms may still try to parse (?) those lines, even if they
don't execute them. Presumably that explains:

>> But in one instance, I got:
>>    $ ./configure
>>    ./configure: 3564: Syntax error: Bad substitution

So can you replace it with something portable, eg sed?